## org.apache.batik.gvt.renderer
Class ConcreteTextPainter

    java.lang.Object
      org.apache.batik.gvt.renderer.BasicTextPainter
          org.apache.batik.gvt.renderer.ConcreteTextPainter

All Implemented Interfaces:
  TextPainter

public abstract class ConcreteTextPainter
extends BasicTextPainter

Renders the attributed character iterator of a `TextNode`.

Nested Class Summary

Nested classes inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`BasicTextPainter.BasicMark`

Field Summary

Fields inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`aaOffFontRenderContext, fontRenderContext`

Constructor Summary
`ConcreteTextPainter()`

Method Summary
`void` `paint(java.text.AttributedCharacterIterator aci, java.awt.geom.Point2D location, TextNode.Anchor anchor, java.awt.Graphics2D g2d)` Paints the specified attributed character iterator using the specified Graphics2D and context and font context.

Methods inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`getGeometryBounds, getTextLayoutFactory, hitTest, selectAt, selectTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.gvt.TextPainter
`getBounds2D, getHighlightShape, getMark, getOutline, getSelected, paint, selectFirst, selectLast`

Constructor Detail

### ConcreteTextPainter

    public ConcreteTextPainter()

Method Detail

### paint

    public void paint(java.text.AttributedCharacterIterator aci,
                      java.awt.geom.Point2D location,
                      TextNode.Anchor anchor,
                      java.awt.Graphics2D g2d)

  Paints the specified attributed character iterator using the specified Graphics2D and context and font context.

  Parameters:
    `g2d` - the Graphics2D to use

Copyright © 2004 Apache Software Foundation. All Rights Reserved.